<?php
//user.php
include('db_con.php');
if (isset($_SESSION['user_id'])) {
		$user_type = $_SESSION['user_type'];
		$user_id = $_SESSION['user_id'];
		$user_name = $_SESSION['user_name'];
		$branch_id = $_SESSION['branch_id'];
		$branch_name = $_SESSION['branch_name'];
		$store_id = $_SESSION['store_id'];
    $store_name = $_SESSION['store_name'];
}else{
	header('Location: login');
	die();
}
//if(!isset($_SESSION["type"]))
//{
//	header('location:login');
//}
//if($_SESSION["type"] != 'master')
//{
//	header("location:index.php");
//}
$sql = "SELECT ifnull(doc_status,'OFF') FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'accounts_receivable_payments'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $accounts_receivable_payments = $statement->fetchColumn();
            if($accounts_receivable_payments=='OFF'){header('Location: dashboard');
            }
$sql = "SELECT ifnull(doc_status,'OFF') FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'accounts_receivable_payments_new'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $accounts_receivable_payments_new = $statement->fetchColumn();
$sql = "SELECT ifnull(doc_status,'OFF') FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'accounts_receivable_payments_edit'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $accounts_receivable_payments_edit = $statement->fetchColumn();
            $sql = "SELECT ifnull(doc_status,'OFF') FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'accounts_receivable_payments_delete'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $accounts_receivable_payments_delete = $statement->fetchColumn();
?>
<!DOCTYPE html>
<html>
<head>
	<title><?php echo basename(__FILE__, '.php'); ?></title>
  <?php include('include/head.php'); ?>
  
</head>
<body>
  <?php include('include/header.php'); ?>
  <?php include('include/sidebar.php'); ?>
<div class="main-container">
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Receivables</a></li>
              <li class="breadcrumb-item active">Cash Receipts </li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
     <span id="alert_action"></span>
    <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
            <div class="row">
                          <div class="col-lg-10 col-md-10 col-sm-8 col-xs-6">
                              <h3 class="panel-title">Cash Receipt Voucher</h3>
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-6" align="right">
                               <?php if($accounts_receivable_payments_new=='ON')
                            {
                               echo ' <a href="ar_cash_receipt_new?add=1" class="btn btn-primary"><i class="fa fa-plus"></i> Add New </a>';
                            }
                            ?>
                          </div>
                        </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
              
                        <table width="100%" id="_dataTable" class="table table-bordered table-striped table-hover">
                          <thead>
									<tr>
										<th>No.</th>
										<th>Date</th>
										<th>From|Customer</th>
										
										<th>Description</th>
										<th>User</th>
										<th>Amount</th>
										
									<?php if($accounts_receivable_payments_edit=='ON')
									{
										echo '<th>Edit</th>';
									}
									if($accounts_receivable_payments_delete=='ON')
								{


									echo '	<th>Delete</th>';
									}
								?>
									</tr>
								</thead>
                   			</table>
                   		 </div>
              </div>
          </div>
      </div>
             
        
        
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
 
  <!-- /.content-wrapper -->
 
    </div>
    </div>
  <?php include('include/script.php'); ?>
  
</body>
</html>
        
<script>
$(document).ready(function(){
	
	var _dataTable = $('#_dataTable').DataTable({
		"processing": true,
		"serverSide": true,
		"order": [],
		"ajax":{
			url:"ar_cash_receipt_fetch.php",
			type:"POST"
		},
		"columnDefs":[
			{
				"target":[2,3,4],
				"orderable":false
			}
		],
		"language": {
					"info": "_START_-_END_ of _TOTAL_ entries",
					searchPlaceholder: "Search"
				},
				"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
				
				"pageLength": 25
	});
	
	
	$(document).on('click', '.delete', function(){
		var rec_id = $(this).attr("id");
		var status = $(this).data('status');
		var btn_action = "delete";
		if(confirm("Are you sure you want to change status?"))
		{
			$.ajax({
				url:"ar_cash_receipt_action.php",
				method:"POST",
				data:{rec_id:rec_id, status:status, btn_action:btn_action},
				success:function(data)
				{
					$('#alert_action').fadeIn().html('<div class="alert alert-info">'+data+'</div>');
					_dataTable.ajax.reload();
				}
			})
		}
		else
		{
			return false;
		}
	});
});
	  
</script>
<?php
//include('footer.php');
?>
